<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/home"></ion-back-button>
    </ion-buttons>
    <ion-title>Mappa</ion-title>
      <ion-buttons slot="primary">
          <ion-button color="secondary" (click)="getCurrentPos()">
              <ion-icon slot="icon-only" name="navigate-outline"></ion-icon>
          </ion-button>
      </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content fullscreen>
    <div class='ion-margin' style='display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;' *ngIf='error'><h4>{{error}}</h4></div>
<!--    <div leaflet #map class="map" id='map' style="height:93%;"></div>-->
    <div #map class="map" style="width: 100%; height: 93%;"></div>
    <div class="one" #one style='display: flex;
    justify-content: center;
    align-items: center;
    align-self: center;
    padding: 1rem;
    font-size: 12px;
    height: 7%;' [innerHTML]='label'
    ></div>
</ion-content>

